.row
  .col-md-2
    = render 'settings_nav'
  .col-md-10
    .panel.panel-default
      .panel-heading
        %strong= @group.name
        = t("groups.group_settings")
      .panel-body
        = form_for @group, html: { multipart: true, class: "form-horizontal" }, authenticity_token: true do |f|
          - if @group.errors.any?
            .alert.alert-danger
              %span= @group.errors.full_messages.first
          .form-group
            = f.label :name, class: 'control-label' do
              = t("groups.group_name")
            .col-sm-10
              = f.text_field :name, placeholder: t("groups.ex_opensource"), class: "form-control left"

          .form-group.group-description-holder
            = f.label :description, t("groups.details"), class: 'control-label'
            .col-sm-10
              = f.text_area :description, maxlength: 250, class: "form-control js-gfm-input", rows: 4

          .form-group
            .col-sm-2
            .col-sm-10
              = image_tag group_icon(@group.to_param), alt: '', class: 'avatar s160'
              %p.light
                - if @group.avatar?
                  = t("groups.you_can_change_your_group_avatar")
                - else
                  = t("groups.you_can_upload_a_group_avatar")
              %a.choose-btn.btn.btn-small.js-choose-group-avatar-button
                %i.icon-paper-clip
                %span= t("groups.choose_file")
              &nbsp;
              %span.file_name.js-avatar-filename= t("groups.file_name")
              = f.file_field :avatar, class: "js-group-avatar-input hidden"
              .light= t("groups.the_maximum_file_size")
              - if @group.avatar?
                %hr
                = link_to t("groups.g_remove_avatar"), group_avatar_path(@group.to_param), data: { confirm: t("groups.group_avatar_will_be_removed")}, method: :delete, class: "btn btn-remove btn-small remove-avatar"

          .form-actions
            = f.submit t("groups.save_group"), class: "btn btn-save"

    .panel.panel-danger
      .panel-heading= t("groups.remove_group")
      .panel-body
        %p
          = t("groups.removing_group_will_cause")
          %br
          %strong= t("groups.removed_group_cannot_be_restored")

        = link_to t("groups.remove_group"), @group, data: {confirm: t("groups.removed_group_cannot_be_restored_q")}, method: :delete, class: "btn btn-remove"
